package mapped;

import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;

@ObfuscatedName("fl")
public abstract class class144 extends Node {
   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "(Luj;I)V",
      garbageValue = "-734756620"
   )
   abstract void vmethod3510(Buffer var1);

   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "(Lfc;I)V",
      garbageValue = "-2111347169"
   )
   abstract void vmethod3506(ClanSettings var1);

   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "(Luj;Ltz;I)Ltz;",
      garbageValue = "-1693455974"
   )
   static final IterableNodeHashTable method3229(Buffer var0, IterableNodeHashTable var1) {
      int var2 = var0.readUnsignedByte_base();
      int var3;
      if(var1 == null) {
         var3 = class184.method3680_base(var2);
         var1 = new IterableNodeHashTable(var3);
      }

      for(var3 = 0; var3 < var2; ++var3) {
         boolean var4 = var0.readUnsignedByte_base() == 1;
         int var5 = var0.readUnsignedMedium_base();
         Object var6;
         if(var4) {
            var6 = new ObjectNode(var0.readStringCp1252NullTerminated_base());
         } else {
            var6 = new IntegerNode(var0.readInt_base());
         }

         var1.put((Node)var6, (long)var5);
      }

      return var1;
   }
}
